package jrummikub.view;

import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;

@SuppressWarnings("serial")
public class Table extends JPanel implements ITable {
  private JLabel leftPlayerLabel, topPlayerLabel, rightPlayerLabel;
  private JPanel innerPanel;
  

  @Override
  public void setLeftPlayerName(String playerName) {
    leftPlayerLabel.setText(playerName);
  }

  @Override
  public void setTopPlayerName(String playerName) {
    topPlayerLabel.setText(playerName);
  }

  @Override
  public void setRightPlayerName(String playerName) {
    rightPlayerLabel.setText(playerName);
  }
  
  Table() {
    setLayout(new BorderLayout());
    
    leftPlayerLabel = new JLabel();
    add(leftPlayerLabel, BorderLayout.WEST);
    
    topPlayerLabel = new JLabel();
    topPlayerLabel.setHorizontalAlignment(JLabel.CENTER);
    topPlayerLabel.setHorizontalTextPosition(JLabel.CENTER);
    add(topPlayerLabel, BorderLayout.NORTH);
    
    rightPlayerLabel = new JLabel();
    add(rightPlayerLabel, BorderLayout.EAST);
    
    innerPanel = new JPanel();
    innerPanel.setOpaque(false);
    add(innerPanel, BorderLayout.CENTER);
  }
}
